Subject: Re: [v2, 1/2] powerpc/fadump: reserve memory at an offset closer to bottom of RAM

From: Michael Ellerman <[email-masked]>
Date: Mon, 3 Apr 2017 20:13:20 +1000 (AEST)

On Thu, 2017-03-16 at 21:05:26 UTC, Hari Bathini wrote:
> Currently, the area to preserve boot memory is reserved at the top of
> RAM. This leaves fadump vulnerable to memory hot-remove operations. As
> memory for fadump has to be reserved early in the boot process, fadump
> can't be registered after a memory hot-remove operation. Though this
> problem can't be eleminated completely, the impact can be minimized by
> reserving memory at an offset closer to bottom of the RAM. The offset
> for fadump memory reservation can be any value greater than fadump boot
> memory size.
> 
> Signed-off-by: Hari Bathini <[email-masked]>

Series applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/f6e6bedb773118713a8eb3736a4c99

cheers